﻿/* Default styles (mobile first) */

/*This body fix is designed to sort out the issue with the footer not positioned correctly*/
body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

/*This is the container fix that goes with the body fix above*/
.nhsuk-width-container  {
  flex: 1;
  width: -moz-available;
  width: -webkit-fill-available;
  width: fill-available;
  width: stretch;
}

.nhsuk-header__container {
  display: block; /* Flex fix */
}

.codi-button-as-link {
  background: none;
  border: none;
  padding: 0;
  font: inherit;
  cursor: pointer;
  text-decoration: underline;
  color: #325083
}

.nhsuk-header-padding-mobile-fix {
  padding-bottom: 20px; /* NHSUK header fix for mobile */
}

/* Show the mobile header by default */
.codi-header-mobile-container {
  display: block;
}

/* Hide the desktop header and navigation by default */
.codi-header-desktop-container,
.codi-header-desktop-navigation {
  display: none;
}

/* Mobile Navigation Menu */
.codi-mobile-navigation {
  display: none;
  width: 100%;
  overflow: hidden;
  max-height: 0;
  transition: max-height 0.3s ease-out;
}

/* Show the mobile navigation menu when the menu is open */
.codi-mobile-navigation--open {
  display: block;
  max-height: 500px; /* Adjust this value to fit the menu items when required */
}

/* Mobile Navigation Menu Styles */
.codi-mobile-navigation-list {
  list-style: none;
  margin: 0;
  padding: 0;
}

.codi-mobile-navigation-list li {
  margin-bottom: 0;
}

.codi-mobile-navigation-item {
  border-bottom: 1px solid #fff; /* Divider between items */
  align-content: start;
}

/* lighter borders for top */
.codi-mobile-navigation-item:first-child {
  border-top: 1px solid rgba(255, 255, 255, 0.2);
}

/* and bottom items to help break up the structure*/
.codi-mobile-navigation-item:last-child {
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}


.codi-mobile-navigation-link {
  display: block;
  padding: 16px;
  text-decoration: none;
  font-size: 16px;
}

.codi-mobile-navigation-link,
.codi-mobile-navigation-link a:visited {
  color: #fff !important;
}

.codi-mobile-navigation-link:hover,
.codi-mobile-navigation-link:focus {
  background-color: #ffeb3b !important;
  color: #000 !important;
  font-weight: bold;
}

/* Mobile styles */
.codi-header-mobile-content {
  display: flex;
  height: 64px;
  padding: 8px 12px;
  align-items: center;
  gap: 16px;
  flex-shrink: 0;
  align-self: stretch;
}

.codi-header-mobile-menu {
  display: flex;
  width: 105px;
  align-items: center;
  gap: 4px;
}

.codi-header-mobile-menu-button {
  display: flex;
  width: 105px;
  padding: 4px 16px;
  justify-content: center;
  align-items: center;
  gap: 10px;
  flex-shrink: 0;
  border-radius: 4px;
  border: 1px solid #FFF;
  background-color: transparent;
}

/*
  click event with JS disabled fallback
  please keep them separate for readability
*/

/*container state*/
.codi-header-mobile-menu-container:hover,
.codi-header-mobile-menu-container:focus,
.codi-header-mobile-menu-container:active,
.codi-header-mobile-menu-container:focus-within,
.codi-header-mobile-menu-button[aria-expanded="true"] .codi-header-mobile-menu-container {
  background-color: #ffeb3b !important;
}

/*text state*/
.codi-header-mobile-menu-container:hover .codi-header-mobile-menu-text,
.codi-header-mobile-menu-container:focus .codi-header-mobile-menu-text,
.codi-header-mobile-menu-container:active .codi-header-mobile-menu-text,
.codi-header-mobile-menu-container:focus-within .codi-header-mobile-menu-text,
.codi-header-mobile-menu-button[aria-expanded="true"] .codi-header-mobile-menu-container .codi-header-mobile-menu-text {
  color: #000 !important;
}

.codi-header-mobile-menu-text {
  color: #FFF;
  font-family: "Segoe UI", sans-serif;
  font-size: 16px;
  font-weight: 600;
  line-height: 32px; /* 200% */
}

.codi-header-mobile-logo {
  display: flex;
  width: 100px;
  height: 23.5px;
  justify-content: center;
  align-items: center;
}

.codi-header-mobile-logo-item {
  width: 100px;
  height: 23.5px;
  flex-shrink: 0;
  background: url("/assets/logos/logo-heiw.svg") transparent 50% / cover no-repeat;
}

.codi-header-mobile-language-toggle {
  display: flex;
  align-items: center;
  gap: 8px;
  margin-left: auto;
}

.codi-header-mobile-language-toggle-item {
  display: flex;
  width: 48px;
  height: 48px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2px;
}

.codi-header-mobile-language-toggle-item-icon {
  display: flex;
  width: 20px;
  height: 20px;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.codi-header-mobile-language-toggle-icon-en {
  background: url("/assets/icons/ENLanguage_switch.svg") transparent 50% / cover no-repeat;
}

.codi-header-mobile-language-toggle-icon-cy {
  background: url("/assets/icons/CYLanguage_switch.svg") transparent 50% / cover no-repeat;
}

.codi-header-mobile-language-toggle-icon-logout {
  background: url("/assets/icons/Logout_icon.svg") transparent 50% / cover no-repeat;
  transform: scaleX(-1);
}

.codi-header-mobile-language-toggle-icon-login {
  background: url("/assets/icons/Logout_icon.svg") transparent 50% / cover no-repeat;
}

/* Default State for icons*/
.codi-header-mobile-language-toggle-item-icon,
.codi-header-mobile-logo-item {
  filter: none;
}

/*filter used to switch to black on logo icon*/
.codi-header-mobile-logo:hover .codi-header-mobile-logo-item,
.codi-header-mobile-logo:focus .codi-header-mobile-logo-item,
.codi-header-mobile-logo:active .codi-header-mobile-logo-item,
.codi-header-mobile-logo:focus-within .codi-header-mobile-logo-item {
  filter: brightness(0%);
}

/*filter used to switch to black on language icons*/
.codi-header-mobile-language-toggle-item:hover .codi-header-mobile-language-toggle-item-icon,
.codi-header-mobile-language-toggle-item:focus .codi-header-mobile-language-toggle-item-icon,
.codi-header-mobile-language-toggle-item:active .codi-header-mobile-language-toggle-item-icon,
.codi-header-mobile-language-toggle-item:focus-within .codi-header-mobile-language-toggle-item-icon {
  filter: brightness(0%);
}

.codi-header-mobile-language-toggle-item-text {
  padding: 0; /* NHSUK nav link fix */
  border-top: 0; /* NHSUK nav link fix */
  border-bottom: 0; /* NHSUK nav link fix */
  color: #fff;
  font-family: "robotoregular", sans-serif;
  font-size: 10px;
  font-weight: 400;
  line-height: normal;
}

/* fixed active states for text */
.codi-header-mobile-language-toggle-item:hover .codi-header-mobile-language-toggle-item-text,
.codi-header-mobile-language-toggle-item:focus .codi-header-mobile-language-toggle-item-text,
.codi-header-mobile-language-toggle-item:active .codi-header-mobile-language-toggle-item-text,
.codi-header-mobile-language-toggle-item:focus-within .codi-header-mobile-language-toggle-item-text,
.codi-header-mobile-language-toggle-item:focus-visible .codi-header-mobile-language-toggle-item-text {
  color: #000 !important;
}

/* Other necessary styles */
.nhsuk-breadcrumb__back-desktop {
  display: block !important;
}

.codi-pagination-container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
  align-self: stretch;
}

/* Desktop styles */
@media (min-width: 768px) {
  /* Hide the mobile header on larger screens */
  .codi-header-mobile-container {
    display: none;
  }

  /* Show the desktop header and navigation */
  .codi-header-desktop-container,
  .codi-header-desktop-navigation {
    display: block;
  }

  .codi-header-desktop-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
  }

  .codi-header-desktop-logo {
    display: flex;
    width: 255.319px;
    height: 60px;
    justify-content: center;
    align-items: center;
  }

  .codi-header-desktop-logo-item {
    width: 255.319px;
    height: 60px;
    flex-shrink: 0;
    background: url("/assets/logos/logo-heiw.svg") transparent 50% / cover no-repeat;
  }

  .codi-header-desktop-language-toggle {
    display: flex;
    padding: 8px 4px;
    align-items: center;
    gap: 16px;
  }

  .codi-header-desktop-language-toggle-item {
    display: flex;
    width: 78px;
    align-items: center;
    gap: 10px;
  }

  .codi-header-desktop-language-toggle-item-text {
    flex: 1 0 0;
    padding: 0; /* NHSUK nav link fix */
    color: #fff;
    text-align: center;
    font-family: "robotoregular", sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px; /* 150% */
  }

  .codi-header-desktop-language-toggle-item-text-selected {
    font-weight: 700;
  }

  .codi-header-desktop-language-toggle-item-break {
    width: 4px;
    height: 32px;
    background: #FFF;
  }
}

.section-break-visible-bold {
  border-color: #325083;
  border-width: 2px;
}

.summary-list-section-no-border-bottom {
  border-bottom: none;
}

.summary-list-column-visible-for-desktop-only {
  display: none;

  @media (min-width: 40.0625em) {
    display: table-cell;
  }
}

.summary-list-column-visible-for-mobile-only {
  display: none;

  @media (max-width: 40.0525em) {
    display: table-cell;
  }
}

.codi-file-input {
  font-size: medium;
  padding-top: 10px;
}

#codi-cookie-banner {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-family: "robotoregular", sans-serif;
  background: #fff;
  position: relative;
  box-shadow: 0 0 4px 0 #212b32;
  padding: 24px 0 19px;
  width: 100%;
  z-index: 1;
  color: #212b32;
}

.codi-list--spaced > li {
  margin-bottom: 10px !important;
}

@media (min-width: 40.0625em) {
  .codi-list--spaced > li {
    margin-bottom: 20px !important;
  }
}

.nhsuk-header__custom-navigation-list {
  justify-content: space-around;
}

.codi-phase-banner__content {
  font-size: 1rem;
  line-height: 1.25;
}

.codi-phase-banner {
  padding-top: 10px;
  padding-bottom: 10px;
  border-bottom: 1px solid #b1b4b6;
}

.codi-phase-banner__content {
  font-size: 1rem;
  line-height: 1.25;
}

.codi-phase-banner__content {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-weight: 400;
  font-size: .875rem;
  line-height: 1.1428571429;
  color: #0b0c0c;
  display: table;
  margin: 0;

  @media (min-width: 40.0625em) {
    font-size: 1rem;
    line-height: 1.25;
  }
}

.codi-tag {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.25;
  display: inline-block;
  max-width: 160px;
  margin-top: -2px;
  margin-bottom: -3px;
  padding: 2px 8px 3px;
  color: #0c2d4a;
  background-color: #bbd4ea;
  text-decoration: none;
  overflow-wrap: break-word;
}

.codi-phase-banner__content__tag {
  font-size: .875rem;
  line-height: 1.1428571429;
  margin-right: 10px;

  @media (min-width: 40.0625em) {
    font-size: 1rem;
    line-height: 1.25;
  }
}

.codi-phase-banner__text {
  display: table-cell;
  vertical-align: middle;
}

.codi-greyed-out {
  opacity: 0.5;
  filter: grayscale(100%);
  pointer-events: none;
  background: lightgrey;
}

#OnboardingTasks\.TimeOutOfTraining-status .nhsuk-tag {
  white-space: nowrap;
}

.out-of-office-checkboxes {
  display:inline-block;
  margin-right:15px;
}

/* ---- Date Picker styles -- */
.date-picker-wrapper {
  display: flex;
  align-items: flex-end;
  gap: 6px;
  position: relative;
}

.calendar-btn {
  position: absolute;
  left: 250px;
  top: 65%;
  background: none;
  border: none;
  cursor: pointer;
  font-size: 1.2rem;
}

.hidden-date-picker {
  position: absolute;
  left: 0;
  top: 100%;
  margin-top: 8px;
  width: 1px;
  height: 1px;
  opacity: 0;
  pointer-events: none;
  border: 0;
  padding: 0;
}

.nhsuk-calendar-icon {
  height: 24px !important;
  width: 24px !important;
}

.date-picker-wrapper:has(.nhsuk-error-message) .calendar-btn {
  left: 270px;
  top: calc(65% + 15px);
}
